%define oname file-roller

Summary:	An archive manager for GNOME
Summary(de):	Ein Archiv Manager fr GNOME
Name:		legacy-file-roller
Version:	2.32.2
Release:	%mkrel 2
License:	GPLv2+
URL:		http://download.gnome.org/sources/file-roller/
Group:		Archiving/Compression
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{oname}-%{version}.tar.xz
Source1:	%oname-48.png
Source2:	%oname-32.png
Source3:	%oname-16.png
#----------------------------------------
BuildRequires:	%{_lib}glib2.0_0-devel
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:	%{_lib}sm-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	magic-devel
BuildRequires:	intltool >= 0.50.0
#-------------------------------------
Requires(pre):	GConf2
Conflicts:	file-roller

%description
File Roller is an archive manager for the GNOME environment. 
 
This means that you can: 
- create and modify archives 
- view the content of an archive 
- view a file contained in the archive 
- extract files from the archive.

File Roller is only a front-end (a graphical interface) 
to archiving programs like tar and zip. 

The supported file types are :
 * Tar archives uncompressed (.tar) or compressed with
 * gzip (.tar.gz , .tgz)
 * bzip (.tar.bz , .tbz)
 * bzip2 (.tar.bz2 , .tbz2)
 * compress (.tar.Z , .taz)
 * lzop (.tar.lzo , .tzo)
 * lzma (.tar.lzma , .tlz)
 * Zip archives (.zip)
 * Jar archives (.jar , .ear , .war)
 * Lha archives (.lzh)
 * Rar archives (.rar)
 * Single files compressed with: 
   * gzip, 
   * bzip, 
   * bzip2, 
   * compress, 
   * lzop, 
   * lzma
 * ISO images
 * RPM (only read)


%description -l de
File-roller ist ein Archiv-Manager fr die GNOME Umgebung.
 
Dies bedeutet, du kannst: 
- Archive erstellen und ndern
- den Inhalte eines Archives anschauen 
- die enthaltenen Dateien innerhalb des Archives anschauen 
- Dateien des Archivs extrahieren. 

File Roller ist nur eine Oberflche (eine grafische Darstellung) 
fr Programm Archive wie tar und zip. 

Die untersttzten Dateitypen sind dabei:
 * Tar Archive Unkomprimiert (.tar) oder komprimiert mit
 * gzip (.tar.gz , .tgz)
 * bzip (.tar.bz , .tbz)
 * bzip2 (.tar.bz2 , .tbz2)
 * komprimiert (.tar.Z , .taz)
 * lzop (.tar.lzo , .tzo)
 * lzma (.tar.lzma , .tlz)
 * Zip Archive (.zip)
 * Jar Archive (.jar , .ear , .war)
 * Lha Archive (.lzh)
 * Rar Archive (.rar)
 * Einzelne Dateien komprimiert mit:
   * gzip, 
   * bzip, 
   * bzip2, 
   * komprimiert, 
   * lzop, 
   * lzma
 * Iso Abbilder
 * RPM Archive (nur lesen)

#--------------------- build area --------------------------------------------

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x \
	--disable-scrollkeeper \
	--enable-magic \
	--disable-static \
	--disable-nautilus-actions
	
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Compression" \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# I hate generic names in menu
perl -pi -e "s|Name=Archive Manager|Name=File Roller|" $RPM_BUILD_ROOT%{_datadir}/applications/%{oname}.desktop

# install icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{oname}.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{oname}.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{oname}.png

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/{bonobo,nautilus/extensions-2.0}/*.{la,a}

#rpmlint errors
chmod 755 %buildroot%_libdir/file-roller/isoinfo.sh


%find_lang %{oname} --with-gnome --all-name


%files -f %{oname}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README 
%_sysconfdir/gconf/schemas/%oname.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/file-roller
%dir %{_datadir}/omf/file-roller
%{_datadir}/omf/file-roller
%_libdir/%oname
%_datadir/icons/hicolor/*/*/*.*
%{_iconsdir}/%{oname}.png
%{_liconsdir}/%{oname}.png
%{_miconsdir}/%{oname}.png


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

#---------------- history -----------------------------------------
%changelog
* Tue Oct 22 2013 billybot <billybot> 2.32.2-2pclos2013
- rebuild against updated libs

* Thu Jul 04 2013 Texstar <texstar at gmail.com> 2.32.2-1pclso2013
- create legacy package
